## woof-doom 12.0.0+dfsg

=== CMakeLists.txt ===
include(CheckLibraryExists)
include(CheckIncludeFile)
include(CheckSymbolExists)

# Adds the cmake directory to the CMake include path.
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# X_VCPKG_APPLOCAL_DEPS_INSTALL automatically installs dependencies. CMP0077
# supress some arcane CMake warning.
set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)

cmake_minimum_required(VERSION 3.9)

project("Woof"
    VERSION 12.0.0
    LANGUAGES C)

set(CMAKE_C_STANDARD 99)

# Set a default build type if none was specified
set(default_build_type "RelWithDebInfo")
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to '${default_build_type}' as none was specified.")
  set(CMAKE_BUILD_TYPE "${default_build_type}" CACHE
      STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS
    "Debug" "Release" "MinSizeRel" "RelWithDebInfo")
endif()

# Prevent in-tree builds.
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "In-tree builds are not supported.")
endif()

# Hardcoded defines added to configure and resource files.
set(PROJECT_COMPANY "Fabian Greffrath and contributors")
set(PROJECT_COPYRIGHT "Copyright (C) 1993-2023")
set(PROJECT_LICENSE "GNU General Public License, version 2")
set(PROJECT_STRING "${PROJECT_NAME} ${PROJECT_VERSION}")
set(PROJECT_SHORTNAME "woof")
set(WOOF_ICON "woof.ico")
set(SETUP_ICON "setup.ico")
set(PROJECT_VERSION_RC "${PROJECT_VERSION_MAJOR},${PROJECT_VERSION_MINOR},${PROJECT_VERSION_PATCH},0") # ${PROJECT_VERSION_TWEAK}

if(NOT WIN32)
    set(WOOFDATADIR "${CMAKE_INSTALL_PREFIX}/share/${PROJECT_SHORTNAME}" CACHE PATH "Path to install supplemental files")
endif()

# Toggle-able defines added at compile-time.
option(WOOF_RANGECHECK "Enable bounds-checking of performance-sensitive functions" ON)
option(WOOF_STRICT "Prefer original MBF code paths over demo compatiblity with PrBoom+" OFF)

# Compiler environment requirements.
check_library_exists(m pow "" HAVE_LIBM)
check_include_file("dirent.h" HAVE_DIRENT_H)
check_symbol_exists(strcasecmp "strings.h" HAVE_DECL_STRCASECMP)
check_symbol_exists(strncasecmp "strings.h" HAVE_DECL_STRNCASECMP)

option(CMAKE_FIND_PACKAGE_PREFER_CONFIG
       "Lookup package config files before using find modules" ON)

set(CMAKE_FIND_FRAMEWORK NEVER)

# Library requirements.
find_package(SDL2 2.0.18 REQUIRED)
find_package(SDL2_net REQUIRED)
find_package(OpenAL REQUIRED)
find_package(SndFile 1.0.29 REQUIRED)

if(OPENAL_VERSION_STRING VERSION_GREATER_EQUAL "1.22.0")
    set(HAVE_AL_BUFFER_CALLBACK TRUE)
endif()

if(NOT TARGET SDL2_net::SDL2_net)
    add_library(SDL2_net::SDL2_net ALIAS SDL2_net::SDL2_net-static)
endif()

if(SndFile_VERSION VERSION_GREATER_EQUAL "1.1.0")
   set(HAVE_SNDFILE_MPEG TRUE)
endif()

find_package(FluidSynth)
find_package(libxmp)

if(FluidSynth_FOUND)
    set(HAVE_FLUIDSYNTH TRUE)
endif()

if(libxmp_FOUND)
    set(HAVE_LIBXMP TRUE)
    if(NOT TARGET libxmp::xmp)
        if(TARGET libxmp::xmp_shared)
            add_library(libxmp::xmp ALIAS libxmp::xmp_shared)
        else()
            add_library(libxmp::xmp ALIAS libxmp::xmp_static)
        endif()
    endif()
endif()

# Python 3
find_package(Python3 COMPONENTS Interpreter)

configure_file(config.h.in config.h)

if(WIN32)
    install(FILES COPYING DESTINATION . RENAME COPYING.txt)
    install(FILES README.md DESTINATION .)
    install(DIRECTORY examples/ DESTINATION docs/examples)
    install(DIRECTORY autoload/ DESTINATION autoload)
    if(FluidSynth_FOUND)
        install(DIRECTORY soundfonts/ DESTINATION soundfonts)
    endif()
else()
    install(FILES COPYING DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    install(FILES README.md DESTINATION "share/doc/${PROJECT_SHORTNAME}")
    install(DIRECTORY autoload/ DESTINATION "share/${PROJECT_SHORTNAME}/autoload")
    if(EXISTS "${CMAKE_SOURCE_DIR}/examples")
        install(DIRECTORY examples/ DESTINATION "share/doc/${PROJECT_SHORTNAME}/examples")
    endif()
    if(EXISTS "${CMAKE_SOURCE_DIR}/soundfonts" AND FluidSynth_FOUND)
        install(DIRECTORY soundfonts/ DESTINATION "share/${PROJECT_SHORTNAME}/soundfonts")
    endif()
endif()

# Generate distribution packages with CPack.
if(WIN32)
    set(CPACK_GENERATOR ZIP)
elseif(LINUX)
    set(CPACK_GENERATOR External)
    set(CPACK_EXTERNAL_ENABLE_STAGING YES)
    set(CPACK_PACKAGING_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")
    set(CPACK_EXTERNAL_PACKAGE_SCRIPT "${PROJECT_BINARY_DIR}/appimage-generate.cmake")

    file(GENERATE
        OUTPUT "${PROJECT_BINARY_DIR}/appimage-generate.cmake"
        CONTENT [[
            find_program(LINUXDEPLOY_EXECUTABLE
                NAMES linuxdeploy linuxdeploy-x86_64.AppImage
                PATHS ${CPACK_PACKAGE_DIRECTORY}/linuxdeploy)

            if(NOT LINUXDEPLOY_EXECUTABLE)
                message(STATUS "Downloading linuxdeploy")
                set(LINUXDEPLOY_EXECUTABLE ${CPACK_PACKAGE_DIRECTORY}/linuxdeploy/linuxdeploy)
                file(DOWNLOAD
                    https://github.com/linuxdeploy/linuxdeploy/releases/download/continuous/linuxdeploy-x86_64.AppImage
                    ${LINUXDEPLOY_EXECUTABLE}
                    INACTIVITY_TIMEOUT 10)
                execute_process(COMMAND
                    chmod +x ${LINUXDEPLOY_EXECUTABLE} COMMAND_ECHO STDOUT)
            endif()

            execute_process(COMMAND
                ${CMAKE_COMMAND} -E env
                OUTPUT=${CPACK_PACKAGE_FILE_NAME}.appimage
                VERSION=$<IF:$<BOOL:${CPACK_PACKAGE_VERSION}>,${CPACK_PACKAGE_VERSION},0.1.0>
                ${LINUXDEPLOY_EXECUTABLE}
                --appimage-extract-and-run
                --appdir=${CPACK_TEMPORARY_DIRECTORY}
                --executable=$<TARGET_FILE:woof>
                --desktop-file=${CPACK_TEMPORARY_DIRECTORY}/${CPACK_PACKAGING_INSTALL_PREFIX}/share/applications/io.github.fabiangreffrath.woof.desktop
                --icon-file=${CPACK_TEMPORARY_DIRECTORY}/${CPACK_PACKAGING_INSTALL_PREFIX}/share/icons/hicolor/128x128/apps/woof.png
                --output=appimage)
            ]])
else()
    set(CPACK_GENERATOR TGZ)
endif()
set(CPACK_SOURCE_GENERATOR TGZ ZIP)
set(CPACK_SOURCE_IGNORE_FILES "/.git/;/build;/.vs/;/out/;CMakeSettings.json")
set(CPACK_STRIP_FILES TRUE)
include(CPack)

# Where to find other CMakeLists.txt files.
add_subdirectory(data)
add_subdirectory(opl)
add_subdirectory(textscreen)
add_subdirectory(src)
add_subdirectory(toolsrc)
add_subdirectory(setup)
add_subdirectory(docs)
add_subdirectory(man)

=== debian/changelog ===
woof-doom (12.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version 12.0.0+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Fri, 15 Sep 2023 18:29:03 +0200

=== debian/control ===
Source: woof-doom
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 bash-completion,
 cmake,
 debhelper-compat (= 13),
 fluidsynth (>= 2.2.0),
 libfluidsynth-dev (>= 2.2.0),
 libopenal-dev,
 libsdl2-dev (>= 2.0.18),
 libsdl2-net-dev,
 libsndfile1-dev (>= 1.1.0),
 libxmp-dev,
 python3,
Standards-Version: 4.6.2
Homepage: https://github.com/fabiangreffrath/woof
Vcs-Git: https://salsa.debian.org/games-team/woof-doom.git
Vcs-Browser: https://salsa.debian.org/games-team/woof-doom

Package: woof-doom
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 freedoom | game-data-packager,
Provides:
 boom-engine,
 doom-engine,
Conflicts:
 woof,
Description: continuation of the Boom/MBF bloodline of Doom source ports
 Woof! is a continuation of Lee Killough's Doom source port MBF
 targeted at modern systems.
 .
 MBF stands for "Marine's Best Friend" and is widely regarded as the
 successor of the Boom source port by TeamTNT. It serves as the code
 base for popular Doom source ports such as PrBoom+/DSDA-Doom or The
 Eternity Engine. As the original engine was limited to run only under
 MS-DOS, it has been ported to Windows by Team Eternity under the name
 WinMBF in 2004. Woof! is developed based on the WinMBF code with the
 aim to make MBF more widely available and convenient to use on modern
 systems.
 .
 To achieve this goal, this source port is less strict regarding its
 faithfulness to the original MBF. It is focused on quality-of-life
 enhancements, bug fixes and compatibility improvements. However, all
 changes have been introduced in good faith that they are in line with
 the original author's intentions and even for the trained eye, this
 source port should still look very familiar to the original MBF.
 .
 In summary, this project's goal is to forward-port MBF.EXE from DOS to
 21st century and remove all the stumbling blocks on the way.
 Furthermore, just as MBF was ahead of its time, this project dedicates
 itself to early adoption of new modding features such as
 DEHEXTRA+DSDHacked, UMAPINFO and MBF21.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = -DBUILD_DATE='"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)"'

%:
	dh $@ \
		--with bash-completion

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_BINDIR=games \
		-DWOOFDATADIR="/usr/share/woof"

execute_after_dh_installdocs:
	mv debian/woof-doom/usr/share/doc/woof/CMDLINE.txt* \
	   debian/woof-doom/usr/share/doc/woof/*.cfg* \
	   debian/woof-doom/usr/share/doc/woof/*.lmp* \
	   debian/woof-doom/usr/share/doc/woof/*.md* \
	   debian/woof-doom/usr/share/doc/woof-doom
	rm -rf debian/woof-doom/usr/share/doc/woof

## woof-doom 12.0.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 cmake_minimum_required(VERSION 3.9)
 
 project("Woof"
-    VERSION 12.0.0
+    VERSION 12.0.2
     LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)

=== data/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
    install(FILES io.github.fabiangreffrath.woof.desktop DESTINATION share/applications)
    install(FILES io.github.fabiangreffrath.woof.metainfo.xml DESTINATION share/metainfo)
    install(FILES io.github.fabiangreffrath.woof-setup.desktop DESTINATION share/applications)
    install(FILES woof.png DESTINATION share/icons/hicolor/128x128/apps)
    install(FILES woof-setup.png DESTINATION share/icons/hicolor/128x128/apps)
endif()

=== src/CMakeLists.txt ===
include(WoofSettings)

set(WOOF_SOURCES
    am_map.c               am_map.h
                           beta.h
                           cross.h
    d_deh.c                d_deh.h
                           d_englsh.h
                           d_event.h
                           d_french.h
    d_items.c              d_items.h
    d_iwad.c               d_iwad.h
    d_loop.c               d_loop.h
    d_main.c               d_main.h
    d_net.c
                           d_player.h
    d_quit.c               d_quit.h
                           d_think.h
                           d_ticcmd.h
                           dogs.h
                           doomdata.h
    doomdef.c              doomdef.h
    doomstat.c             doomstat.h
                           doomtype.h
    dsdhacked.c            dsdhacked.h
    dstrings.c             dstrings.h
    f_finale.c             f_finale.h
    f_wipe.c               f_wipe.h
                           font.h
    g_game.c               g_game.h
    hu_lib.c               hu_lib.h
    hu_obituary.c          hu_obituary.h
    hu_stuff.c             hu_stuff.h
    i_3dsound.c
    i_endoom.c             i_endoom.h
    i_glob.c               i_glob.h
    i_input.c              i_input.h
    i_main.c
    i_mbfsound.c
    i_oalmusic.c           i_oalmusic.h
    i_oalsound.c           i_oalsound.h
                           i_oalstream.h
    i_oplmusic.c
    i_printf.c             i_printf.h
    i_sndfile.c            i_sndfile.h
    i_sound.c              i_sound.h
    i_system.c             i_system.h
    i_timer.c              i_timer.h
    i_video.c              i_video.h
    info.c                 info.h
    m_argv.c               m_argv.h
    m_bbox.c               m_bbox.h
    m_cheat.c              m_cheat.h
                           m_fixed.h
    m_input.c              m_input.h
    m_io.c                 m_io.h
    m_menu.c               m_menu.h
    m_misc.c               m_misc.h
    m_misc2.c              m_misc2.h
    m_random.c             m_random.h
    m_snapshot.c           m_snapshot.h
                           m_swap.h
    memio.c                memio.h
    midifallback.c         midifallback.h
    midifile.c             midifile.h
    mus2mid.c              mus2mid.h
    net_client.c           net_client.h
    net_common.c           net_common.h
    net_dedicated.c        net_dedicated.h
                           net_defs.h
    net_gui.c              net_gui.h
    net_io.c               net_io.h
    net_loop.c             net_loop.h
    net_packet.c           net_packet.h
    net_petname.c          net_petname.h
    net_query.c            net_query.h
    net_sdl.c              net_sdl.h
    net_server.c           net_server.h
    net_structrw.c         net_structrw.h
                           p_action.h
    p_ceilng.c
    p_doors.c
    p_enemy.c              p_enemy.h
    p_extnodes.c           p_extnodes.h
    p_floor.c
    p_genlin.c
    p_inter.c              p_inter.h
    p_lights.c
    p_map.c                p_map.h
    p_maputl.c             p_maputl.h
    p_mobj.c               p_mobj.h
    p_plats.c
    p_pspr.c               p_pspr.h
    p_saveg.c              p_saveg.h
    p_setup.c              p_setup.h
    p_sight.c
    p_spec.c               p_spec.h
    p_switch.c
    p_telept.c
    p_tick.c               p_tick.h
    p_user.c               p_user.h
    r_bmaps.c              r_bmaps.h
    r_bsp.c                r_bsp.h
    r_data.c               r_data.h
                           r_defs.h
    r_draw.c               r_draw.h
    r_main.c               r_main.h
    r_plane.c              r_plane.h
    r_segs.c               r_segs.h
    r_sky.c                r_sky.h
                           r_state.h
    r_swirl.c              r_swirl.h
    r_things.c             r_things.h
    s_musinfo.c            s_musinfo.h
    s_sound.c              s_sound.h
    sounds.c               sounds.h
    st_lib.c               st_lib.h
    st_stuff.c             st_stuff.h
    statdump.c             statdump.h
    tables.c               tables.h
                           thermo.h
    u_mapinfo.c            u_mapinfo.h
    u_scanner.c            u_scanner.h
    v_trans.c              v_trans.h
    v_video.c              v_video.h
    version.c              version.h
    w_wad.c                w_wad.h
    wi_stuff.c             wi_stuff.h
    z_zone.c               z_zone.h
    ../miniz/miniz.c       ../miniz/miniz.h)

# Standard target definition
if(WIN32)
    add_library(woof SHARED EXCLUDE_FROM_ALL ${WOOF_SOURCES})
    target_compile_definitions(woof PRIVATE WIN_LAUNCHER)

    # Stamp out and compile resource file on Windows.
    configure_file(resource.rc.in "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")

    add_executable(woof-com WIN32 ../win32/win_launcher.c
        "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
    target_woof_settings(woof-com)
    target_link_libraries(woof-com PRIVATE ${SDL2_LIBRARIES} woof)

    add_executable(woof-exe WIN32 ../win32/win_launcher.c
        "${CMAKE_CURRENT_BINARY_DIR}/resource.rc")
    target_woof_settings(woof-exe)
    target_link_libraries(woof-exe PRIVATE ${SDL2_LIBRARIES} woof)

    # MSVC tries to supply a default manifest and complains when it finds ours
    # unless we specifically tell it not to.
    if(MSVC)
        target_link_options(woof-com PRIVATE "/MANIFEST:NO" "/SUBSYSTEM:CONSOLE")
        target_link_options(woof-exe PRIVATE "/MANIFEST:NO")
    else()
        target_link_options(woof-com PRIVATE "-mconsole")
    endif()
else()
    add_executable(woof ${WOOF_SOURCES})
endif()

target_woof_settings(woof)
target_include_directories(woof PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")

target_link_libraries(woof PRIVATE
    ${SDL2_LIBRARIES}
    SDL2_net::SDL2_net
    OpenAL::OpenAL
    SndFile::sndfile
    opl
    textscreen)

# Some platforms require standard libraries to be linked against.
if(HAVE_LIBM)
    target_link_libraries(woof PRIVATE m)
endif()

if(HAVE_AL_BUFFER_CALLBACK)
    target_sources(woof PRIVATE i_pcsound.c)
endif()

if(WIN32)
    target_sources(woof PRIVATE i_winmusic.c)
    target_link_libraries(woof PRIVATE winmm)
    if(MSVC)
        target_sources(woof PRIVATE
            ../win32/win_opendir.c ../win32/win_opendir.h)
    endif()
endif()

if(APPLE)
    target_sources(woof PRIVATE i_macmusic.c)
    target_link_libraries(woof PRIVATE
        -Wl,-framework,AudioToolbox -Wl,-framework,AudioUnit -Wl,-framework,CoreServices)
endif()

if(FluidSynth_FOUND)
    target_sources(woof PRIVATE i_flmusic.c)
    target_link_libraries(woof PRIVATE FluidSynth::libfluidsynth)
endif()

if(libxmp_FOUND)
    target_sources(woof PRIVATE i_xmp.c)
    target_link_libraries(woof PRIVATE libxmp::xmp)
endif()

# Optional features.
#
# Our defines are not namespaced, so we pass them at compile-time instead of
# using config.h.
if(WOOF_RANGECHECK)
    target_compile_definitions(woof PRIVATE RANGECHECK)
endif()
if(WOOF_STRICT)
    target_compile_definitions(woof PRIVATE MBF_STRICT)
endif()

target_compile_definitions(woof PRIVATE MINIZ_NO_TIME)

set(SETUP_SOURCES
    d_iwad.c                d_iwad.h
    i_main.c
    i_printf.c              i_printf.h
    i_system.c              i_system.h
    i_timer.c               i_timer.h
    m_argv.c                m_argv.h
    m_io.c                  m_io.h
    m_misc2.c               m_misc2.h
    net_io.c                net_io.h
    net_packet.c            net_packet.h
    net_query.c             net_query.h
    net_sdl.c               net_sdl.h
    net_structrw.c          net_structrw.h
    version.c               version.h
    z_zone.c                z_zone.h)

if(WIN32)
    # Stamp out and compile resource file on Windows.
    configure_file(setup-res.rc.in "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
    list(APPEND SETUP_SOURCES "${CMAKE_CURRENT_BINARY_DIR}/setup-res.rc")
endif()

add_executable(woof-setup WIN32 ${SETUP_SOURCES})
target_woof_settings(woof-setup)

target_include_directories(woof-setup PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
target_link_libraries(woof-setup PRIVATE
    ${SDL2_LIBRARIES}
    SDL2_net::SDL2_net
    textscreen
    setup)

if(MSVC)
    target_link_options(woof-setup PRIVATE "/MANIFEST:NO")
endif()

# Install
#
# Rename woof-com and woof-exe executables.
if(WIN32)
    add_custom_command(TARGET woof-com POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "$<TARGET_FILE_DIR:woof-com>/$<TARGET_FILE_NAME:woof-com>"
        "$<TARGET_FILE_DIR:woof-com>/woof.com")
    add_custom_command(TARGET woof-exe POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy
        "$<TARGET_FILE_DIR:woof-exe>/$<TARGET_FILE_NAME:woof-exe>"
        "$<TARGET_FILE_DIR:woof-exe>/woof.exe")
endif()

# Files to package in our distribution.
if(WIN32)
    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.21 AND NOT VCPKG_TOOLCHAIN)
        install(TARGETS woof woof-setup
                RUNTIME_DEPENDENCIES 
                    PRE_EXCLUDE_REGEXES "api-ms-" "ext-ms-"
                    POST_EXCLUDE_REGEXES ".*system32/.*\\.dll"
                    DIRECTORIES $<TARGET_FILE_DIR:woof> $ENV{PATH}
                RUNTIME DESTINATION .)
    else()
        install(TARGETS woof woof-setup RUNTIME DESTINATION .)
    endif()
    install(FILES "$<TARGET_FILE_DIR:woof-com>/woof.com" DESTINATION .)
    install(FILES "$<TARGET_FILE_DIR:woof-exe>/woof.exe" DESTINATION .)
else()
    install(TARGETS woof woof-setup RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
endif()

# Copy autoload directory content to target directory.
add_custom_command(TARGET woof POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E make_directory
    "$<TARGET_FILE_DIR:woof>/autoload"
    COMMAND ${CMAKE_COMMAND} -E copy_directory
    "${CMAKE_SOURCE_DIR}/autoload"
    "$<TARGET_FILE_DIR:woof>/autoload" VERBATIM)

=== debian/changelog ===
woof-doom (12.0.2+dfsg-1) unstable; urgency=medium

  * Document the CC0 license of the metainfo file.
  * New upstream version 12.0.2+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Thu, 21 Dec 2023 10:24:31 +0100

## woof-doom 14.1.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,15 +5,14 @@
 # Adds the cmake directory to the CMake include path.
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
-# X_VCPKG_APPLOCAL_DEPS_INSTALL automatically installs dependencies. CMP0077
-# supress some arcane CMake warning.
+# X_VCPKG_APPLOCAL_DEPS_INSTALL automatically installs dependencies.
 set(CMAKE_POLICY_DEFAULT_CMP0077 NEW)
 set(X_VCPKG_APPLOCAL_DEPS_INSTALL ON)
 
 cmake_minimum_required(VERSION 3.9)
 
 project("Woof"
-    VERSION 12.0.2
+    VERSION 14.1.0
     LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)

=== data/CMakeLists.txt ===
string(TIMESTAMP PROJECT_DATE "%Y-%m-%d")

configure_file(io.github.fabiangreffrath.woof.metainfo.in
               io.github.fabiangreffrath.woof.metainfo.xml
               ESCAPE_QUOTES @ONLY)

if(UNIX AND NOT APPLE)
    install(FILES io.github.fabiangreffrath.woof.desktop DESTINATION share/applications)
    install(FILES "${CMAKE_CURRENT_BINARY_DIR}/io.github.fabiangreffrath.woof.metainfo.xml"
            DESTINATION share/metainfo)
    install(FILES io.github.fabiangreffrath.woof-setup.desktop DESTINATION share/applications)
    install(FILES woof.png DESTINATION share/icons/hicolor/128x128/apps)
    install(FILES woof-setup.png DESTINATION share/icons/hicolor/128x128/apps)
endif()

=== docs/CMakeLists.txt ===
set(WOOF_DOCS
    boom.txt
    boomdeh.txt
    boomref.txt
    mbf.txt
    mbfedit.txt
    mbffaq.txt
    options.txt
    woofhud.lmp
    woofhud.md)

if(WIN32)
    install(FILES ${WOOF_DOCS} DESTINATION docs)
else()
    install(FILES ${WOOF_DOCS} DESTINATION "share/doc/${PROJECT_SHORTNAME}")
endif()

=== opl/CMakeLists.txt ===
include(WoofSettings)

add_library(opl STATIC
            opl.c           opl.h
                            opl_internal.h
            opl_queue.c     opl_queue.h
            opl_sdl.c
            opl3.c          opl3.h)

target_woof_settings(opl)

target_include_directories(opl
                           INTERFACE "."
                           PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../" "../src/")
target_link_libraries(opl SDL2::SDL2)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
                            d_ticcmd.h
                            dogs.h
                            doomdata.h
-    doomdef.c              doomdef.h
+                           doomdef.h
     doomstat.c             doomstat.h
                            doomtype.h
     dsdhacked.c            dsdhacked.h
@@ -33,6 +33,7 @@
     hu_stuff.c             hu_stuff.h
     i_3dsound.c
     i_endoom.c             i_endoom.h
+    i_gamepad.c            i_gamepad.h
     i_glob.c               i_glob.h
     i_input.c              i_input.h
     i_main.c
@@ -49,6 +50,7 @@
     i_video.c              i_video.h
     info.c                 info.h
     m_argv.c               m_argv.h
+                           m_array.h
     m_bbox.c               m_bbox.h
     m_cheat.c              m_cheat.h
                            m_fixed.h
@@ -64,6 +66,7 @@
     midifallback.c         midifallback.h
     midifile.c             midifile.h
     mus2mid.c              mus2mid.h
+    nano_bsp.c             nano_bsp.h
     net_client.c           net_client.h
     net_common.c           net_common.h
     net_dedicated.c        net_dedicated.h
@@ -72,7 +75,6 @@
     net_io.c               net_io.h
     net_loop.c             net_loop.h
     net_packet.c           net_packet.h
-    net_petname.c          net_petname.h
     net_query.c            net_query.h
     net_sdl.c              net_sdl.h
     net_server.c           net_server.h
@@ -111,6 +113,7 @@
                            r_state.h
     r_swirl.c              r_swirl.h
     r_things.c             r_things.h
+    r_voxel.c              r_voxel.h
     s_musinfo.c            s_musinfo.h
     s_sound.c              s_sound.h
     sounds.c               sounds.h
@@ -118,9 +121,9 @@
     st_stuff.c             st_stuff.h
     statdump.c             statdump.h
     tables.c               tables.h
-                           thermo.h
     u_mapinfo.c            u_mapinfo.h
     u_scanner.c            u_scanner.h
+    v_flextran.c           v_flextran.h
     v_trans.c              v_trans.h
     v_video.c              v_video.h
     version.c              version.h
@@ -160,7 +163,8 @@
 endif()
 
 target_woof_settings(woof)
-target_include_directories(woof PRIVATE "${CMAKE_CURRENT_BINARY_DIR}/../")
+target_include_directories(woof PRIVATE
+        "${CMAKE_CURRENT_BINARY_DIR}/../" "../miniz")
 
 target_link_libraries(woof PRIVATE
     ${SDL2_LIBRARIES}
@@ -181,6 +185,7 @@
 
 if(WIN32)
     target_sources(woof PRIVATE i_winmusic.c)
+    target_include_directories(woof PRIVATE "../win32")
     target_link_libraries(woof PRIVATE winmm)
     if(MSVC)
         target_sources(woof PRIVATE
@@ -224,6 +229,7 @@
     i_system.c              i_system.h
     i_timer.c               i_timer.h
     m_argv.c                m_argv.h
+                            m_array.h
     m_io.c                  m_io.h
     m_misc2.c               m_misc2.h
     net_io.c                net_io.h

=== debian/changelog ===
woof-doom (14.1.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:34:40 +1100

woof-doom (14.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 14.1.0+dfsg
  * Adapt to documentation changes.
  * Update debian/copyright file.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 29 Feb 2024 23:05:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: woof-doom
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Fabian Greffrath <fabian@debian.org>,
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 
 execute_after_dh_installdocs:
 	mv debian/woof-doom/usr/share/doc/woof/CMDLINE.txt* \
-	   debian/woof-doom/usr/share/doc/woof/*.cfg* \
 	   debian/woof-doom/usr/share/doc/woof/*.lmp* \
 	   debian/woof-doom/usr/share/doc/woof/*.md* \
 	   debian/woof-doom/usr/share/doc/woof-doom

## woof-doom 14.3.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 cmake_minimum_required(VERSION 3.9)
 
 project("Woof"
-    VERSION 14.1.0
+    VERSION 14.3.0
     LANGUAGES C)
 
 set(CMAKE_C_STANDARD 99)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
     i_input.c              i_input.h
     i_main.c
     i_mbfsound.c
-    i_oalmusic.c           i_oalmusic.h
+    i_oalmusic.c
     i_oalsound.c           i_oalsound.h
                            i_oalstream.h
     i_oplmusic.c
@@ -53,14 +53,16 @@
                            m_array.h
     m_bbox.c               m_bbox.h
     m_cheat.c              m_cheat.h
+    m_config.c             m_config.h
                            m_fixed.h
     m_input.c              m_input.h
     m_io.c                 m_io.h
-    m_menu.c               m_menu.h
+    mn_font.c              mn_font.h
+    mn_menu.c              mn_menu.h
+    mn_setup.c             mn_setup.h
     m_misc.c               m_misc.h
-    m_misc2.c              m_misc2.h
     m_random.c             m_random.h
-    m_snapshot.c           m_snapshot.h
+    mn_snapshot.c          mn_snapshot.h
                            m_swap.h
     memio.c                memio.h
     midifallback.c         midifallback.h
@@ -231,7 +233,7 @@
     m_argv.c                m_argv.h
                             m_array.h
     m_io.c                  m_io.h
-    m_misc2.c               m_misc2.h
+    m_misc.c                m_misc.h
     net_io.c                net_io.h
     net_packet.c            net_packet.h
     net_query.c             net_query.h

=== debian/changelog ===
woof-doom (14.3.0+dfsg-1) unstable; urgency=medium

  * New upstream version 14.3.0+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Fri, 15 Mar 2024 08:36:32 +0100
